> ## Documentation Index
> Fetch the complete documentation index at: https://rendi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List FFmpeg Commands

> Get the statuses of a previously submitted FFmpeg commands, ordered by creation time - descending.



## OpenAPI

````yaml GET /v1/commands
openapi: 3.1.0
info:
  title: FFmpeg Command API
  description: API for running FFmpeg in a cloud environment
  version: 1.0.0
servers:
  - url: https://api.rendi.dev
    description: Rendi - FFmpeg API
security: []
paths:
  /v1/commands:
    get:
      tags:
        - API
        - FFmpeg Commands
      summary: Get list of commands sent
      description: >-
        Get the statuses of a previously submitted FFmpeg commands, ordered by
        creation time - descending.
      operationId: get_commands_v1_commands_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            exclusiveMinimum: 0
            description: Maximum number of commands to return
            default: 1000
            title: Limit
          description: Maximum number of commands to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: >-
              Number of commands to skip before starting to collect the result
              set
            default: 0
            title: Offset
          description: Number of commands to skip before starting to collect the result set
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CommandsListItemResponse'
                title: Response Get Commands V1 Commands Get
        '401':
          description: Invalid API key
          content:
            application/json:
              example:
                detail: Invalid authorization key
        '422':
          description: Invalid request
        '429':
          description: Rate limit exceeded
      security:
        - APIKeyHeader: []
components:
  schemas:
    CommandsListItemResponse:
      properties:
        command_id:
          type: string
          title: Command Id
          description: Unique identifier for the submitted command
          examples:
            - 123e4567-e89b-12d3-a456-426614174000
        storage_quota_used:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Storage Quota Used
          description: Amount of storage quota used in MB
          examples:
            - 5.2
        processing_quota_used:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Processing Quota Used
          description: Amount of processing quota used in MB
          examples:
            - 12.5
        output_file_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Output File Count
          description: Number of output files generated by the command
          examples:
            - 72
        error_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Status
          description: Status of any error that occurred during command execution
          examples:
            - UNREACHABLE_INPUT_FILE
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error details if the command failed
          examples:
            - >-
              Input file url https://rendi.dev/example does not have a valid
              file name in its' end.
        status:
          $ref: '#/components/schemas/CommandStatus'
          description: Current status of the FFmpeg command
          examples:
            - SUCCESS
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Time when the command was created, in UTC
          examples:
            - '2024-01-01T00:00:00Z'
        ffmpeg_command_run_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Ffmpeg Command Run Seconds
          description: >-
            The exact time the specific FFMPEG command took on our servers, in
            seconds
        processing_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Processing Seconds
          description: >-
            Total processing time from queue to finish, in seconds (finished_at
            - queued_at)
      type: object
      required:
        - command_id
        - status
      title: CommandsListItemResponse
      description: >-
        Response model for FFmpeg command list request.


        Contains information about the commands sent to the server, execution
        status, any errors that occurred

        and the time when the command was created.
      example:
        command_id: 123e4567-e89b-12d3-a456-426614174000
        created_at: '2024-01-01T00:00:00Z'
        ffmpeg_command_run_seconds: 19.58
        output_file_count: 2
        processing_quota_used: 2.4
        processing_seconds: 24.96
        status: SUCCESS
        storage_quota_used: 0.85
    CommandStatus:
      type: string
      enum:
        - QUEUED
        - PROCESSING
        - PREPARED_FFMPEG_COMMAND
        - FAILED
        - SUCCESS
      title: CommandStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````